레오루 다운로드

CLI 환경에서 사용되는 php.ini 파일에 MongoDB 확장명이 포함되어 있는지 확인합니다. 일부 시스템에서는 기본 PHP 설치가 웹 및 CLI 환경에 대해 다른 .ini 파일을 사용합니다. Mongolid Laravel의 새로운 (및 개선 된) 버전 2.0은 php7이 필요합니다. 이전 PHP 5.x 버전 또는 다른 Laravel 버전을 찾고 있다면 v0.8 지점으로 이동하십시오. 르로이 멀린-br/몽골리드 라라벨의 신작에 대한 알림을 원하십니까? 터미널에서 php–ini를 실행하여 사용 중인 .ini를 확인합니다. 자동 장애 조치(failover)가 있는 클러스터의 경우 이름과 함께 모든 노드를 포함하는 클러스터 키를 설정해야 replica_set 합니다. 필요한 작곡가와 함께 설치하십시오 (필요한 경우 위의 태그 중 하나를 사용하십시오). 참고: config/database.php MongoLid에서 mongodb 키를 지정하지 않으면 자동으로 `127.0.0.0.1:27017`에 연결하고 `mongolid`라는 데이터베이스를 사용하려고 합니다. 마지막으로, config/database.php에서 데이터베이스 연결을 구성 해야 합니다.: MongoDBClient 클래스는 MongoDB PHP 라이브러리에 포함 되 고 PHP에 대 한 MongoDB 드라이버가 필요 합니다.

다음은 이 드라이버에 대한 설치 가이드입니다. 드라이버는 C로 작성되고 MongoDB에 의해 유지 되는 PHP 확장입니다. MongoLid와 대부분의 다른 몽고DB PHP 라이브러리는 빠르고 신뢰할 수 있도록 이를 활용합니다. 베타 태그(작곡가 구성 최소 안정성 개발)를 사용할 때 최소 안정성을 개발하도록 설정해야 합니다. „PHP 치명적인 오류: 클래스 `MongoDB클라이언트`에서 찾을 수 없습니다…“ „이 패키지에는 php =7.0이 필요하지만 PHP 버전(X.X.X)이 해당 요구 사항을 충족하지 않습니다.“ Mongolid Laravel은 라라벨 대기열에 실패한 작업 공급자를 테이블 대신 컬렉션을 사용하도록 대체합니다. 공급자를 구성하려면 queue.php에서 실패한 키를 업데이트하여 컬렉션 이름을 포함합니다. 인증과 관련된 모든 방법을 사용할 수 있습니다. 몽골리드는 르로이 멀린 브라질 팀에 의해 자랑스럽게 지어졌습니다. 모든 기여자를 확인합니다.

사용자 모델은 인증 가능한 인터페이스를 구현해야 합니다: MongoLid ODM(개체 문서 매퍼)은 MongoDB 작업을 위한 아름답고 간단한 구현을 제공합니다. 각 데이터베이스 컬렉션에는 해당 컬렉션과 상호 작용하는 데 사용되는 해당 „모델“이 있을 수 있습니다. 시작하려면 MongoLid 모델을 만듭니다. 모델은 일반적으로 앱/모델 디렉토리에 있지만 composer.json 파일에 따라 자동 로드할 수 있는 위치에 자유롭게 배치할 수 있습니다. CLI 환경에서 PHP가 드라이버를 제대로 실행하는 경우 PHP를 확인하려면 -i | 터미널에서 grep 몽고. 당신은 유사한 출력을 얻어야한다 : MongoLid 라라벨은 라라벨 인증 공급자와 함께 제공됩니다. 이를 사용하려면 config/auth.php의 `드라이버` 공급자 값을 mongolid로 변경하고 모델에 지정된 클래스가 인증 가능한 계약을 구현하는 MongoLid 모델인지 확인하십시오: Laravel 5.5를 사용하는 경우 공급자 및 별칭에 대한 다음 단계는 비necesaries입니다.